Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.MadChat.CloseAndMaxTabbedPane
Class CloseTabPaneEnhancedUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TabbedPaneUI
              javax.swing.plaf.basic.BasicTabbedPaneUI
                  madkit.MadChat.CloseAndMaxTabbedPane.CloseTabPaneUI
                      madkit.MadChat.CloseAndMaxTabbedPane.CloseTabPaneEnhancedUI

All Implemented Interfaces:
  javax.swing.SwingConstants

    public class CloseTabPaneEnhancedUI

extends CloseTabPaneUI

This UI displays a different interface, which is independent from the look and feel.

Author:
  David Bismut, davidou@mageos.com

Nested Class Summary
`protected class` | `CloseTabPaneEnhancedUI.ScrollableTabButton`

Nested classes/interfaces inherited from class madkit.MadChat.CloseAndMaxTabbedPane.CloseTabPaneUI
`CloseTabPaneUI.TabSelectionHandler`

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`javax.swing.plaf.basic.BasicTabbedPaneUI.FocusHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.MouseHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.PropertyChangeHandler, javax.swing.plaf.basic.BasicTabbedPaneUI.TabbedPaneLayout`

Field Summary

Fields inherited from class madkit.MadChat.CloseAndMaxTabbedPane.CloseTabPaneUI
`actionPopupMenu, BUTTONSIZE, closeItem, maxItem, motionListener, tabScroller, WIDTHDELTA`

Fields inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`calcRect, contentBorderInsets, darkShadow, downKey, focus, focusListener, highlight, leftKey, lightHighlight, maxTabHeight, maxTabWidth, mouseListener, propertyChangeListener, rects, rightKey, runCount, selectedRun, selectedTabPadInsets, shadow, tabAreaInsets, tabChangeListener, tabInsets, tabPane, tabRunOverlay, tabRuns, textIconGap, upKey`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`CloseTabPaneEnhancedUI()`

Method Summary
`protected CloseTabPaneUI.ScrollableTabButton` | `createScrollableTabButton(int direction)`
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
`protected void` | `paintContentBorderBottomEdge(java.awt.Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
`protected void` | `paintContentBorderLeftEdge(java.awt.Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
`protected void` | `paintContentBorderRightEdge(java.awt.Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
`protected void` | `paintContentBorderTopEdge(java.awt.Graphics g, int tabPlacement, int selectedIndex, int x, int y, int w, int h)`
`protected void` | `paintFocusIndicator(java.awt.Graphics g, int tabPlacement, java.awt.Rectangle[] rects, int tabIndex, java.awt.Rectangle iconRect, java.awt.Rectangle textRect, boolean isSelected)`
`protected void` | `paintTabBackground(java.awt.Graphics g, int tabPlacement, int tabIndex, int x, int y, int w, int h, boolean isSelected)`
`protected void` | `paintTabBorder(java.awt.Graphics g, int tabPlacement, int tabIndex, int x, int y, int w, int h, boolean isSelected)`
`protected void` | `paintText(java.awt.Graphics g, int tabPlacement, java.awt.Font font, java.awt.FontMetrics metrics, int tabIndex, java.lang.String title, java.awt.Rectangle textRect, boolean isSelected)`

Methods inherited from class madkit.MadChat.CloseAndMaxTabbedPane.CloseTabPaneUI
`calculateTabHeight, calculateTabWidth, createChangeListener, createLayoutManager, createMouseListener, getOverTabIndex, getTabBounds, installComponents, installKeyboardActions, installListeners, isCloseEnabled, isMaxEnabled, isOneActionButtonEnabled, layoutLabel, newCloseRect, newMaxRect, paint, paintActionButton, paintCloseIcon, paintMaxIcon, paintTab, setCloseIcon, setMaxIcon, uninstallComponents, uninstallKeyboardActions, uninstallListeners, updateCloseIcon, updateMaxIcon, updateOverTab`

Methods inherited from class javax.swing.plaf.basic.BasicTabbedPaneUI
`assureRectsCreated, calculateMaxTabHeight, calculateMaxTabWidth, calculateTabAreaHeight, calculateTabAreaWidth, createFocusListener, createPropertyChangeListener, createScrollButton, expandTabRunsArray, getContentBorderInsets, getFocusIndex, getFontMetrics, getIconForTab, getMaximumSize, getMinimumSize, getNextTabIndex, getNextTabIndexInRun, getNextTabRun, getPreviousTabIndex, getPreviousTabIndexInRun, getPreviousTabRun, getRolloverTab, getRunForTab, getSelectedTabPadInsets, getTabAreaInsets, getTabBounds, getTabInsets, getTabLabelShiftX, getTabLabelShiftY, getTabRunCount, getTabRunIndent, getTabRunOffset, getTabRunOverlay, getTextViewForTab, getVisibleComponent, installDefaults, installUI, lastTabInRun, navigateSelectedTab, paintContentBorder, paintIcon, paintTabArea, rotateInsets, selectAdjacentRunTab, selectNextTab, selectNextTabInRun, selectPreviousTab, selectPreviousTabInRun, setRolloverTab, setVisibleComponent, shouldPadTabRun, shouldRotateTabRuns, tabForCoordinate, uninstallDefaults, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getPreferredSize, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseTabPaneEnhancedUI

    public CloseTabPaneEnhancedUI()

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

### paintFocusIndicator

    protected void paintFocusIndicator(java.awt.Graphics g,
                                       int tabPlacement,
                                       java.awt.Rectangle[] rects,
                                       int tabIndex,
                                       java.awt.Rectangle iconRect,
                                       java.awt.Rectangle textRect,
                                       boolean isSelected)

  Overrides:
    `paintFocusIndicator` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

### paintTabBorder

    protected void paintTabBorder(java.awt.Graphics g,
                                  int tabPlacement,
                                  int tabIndex,
                                  int x,
                                  int y,
                                  int w,
                                  int h,
                                  boolean isSelected)

  Overrides:
    `paintTabBorder` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

### paintContentBorderTopEdge

    protected void paintContentBorderTopEdge(java.awt.Graphics g,
                                             int tabPlacement,
                                             int selectedIndex,
                                             int x,
                                             int y,
                                             int w,
                                             int h)

  Overrides:
    `paintContentBorderTopEdge` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

### paintContentBorderLeftEdge

    protected void paintContentBorderLeftEdge(java.awt.Graphics g,
                                              int tabPlacement,
                                              int selectedIndex,
                                              int x,
                                              int y,
                                              int w,
                                              int h)

  Overrides:
    `paintContentBorderLeftEdge` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

### paintContentBorderBottomEdge

    protected void paintContentBorderBottomEdge(java.awt.Graphics g,
                                                int tabPlacement,
                                                int selectedIndex,
                                                int x,
                                                int y,
                                                int w,
                                                int h)

  Overrides:
    `paintContentBorderBottomEdge` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

### paintContentBorderRightEdge

    protected void paintContentBorderRightEdge(java.awt.Graphics g,
                                               int tabPlacement,
                                               int selectedIndex,
                                               int x,
                                               int y,
                                               int w,
                                               int h)

  Overrides:
    `paintContentBorderRightEdge` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

### paintTabBackground

    protected void paintTabBackground(java.awt.Graphics g,
                                      int tabPlacement,
                                      int tabIndex,
                                      int x,
                                      int y,
                                      int w,
                                      int h,
                                      boolean isSelected)

  Overrides:
    `paintTabBackground` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

### paintText

    protected void paintText(java.awt.Graphics g,
                             int tabPlacement,
                             java.awt.Font font,
                             java.awt.FontMetrics metrics,
                             int tabIndex,
                             java.lang.String title,
                             java.awt.Rectangle textRect,
                             boolean isSelected)

  Overrides:
    `paintText` in class `javax.swing.plaf.basic.BasicTabbedPaneUI`

### createScrollableTabButton

    protected CloseTabPaneUI.ScrollableTabButton createScrollableTabButton(int direction)

  Overrides:
    `createScrollableTabButton` in class `CloseTabPaneUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.